org.apache.solr.spelling.suggest

## Class DictionaryFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.DictionaryFactory

- Direct Known Subclasses:
    DocumentDictionaryFactory, DocumentExpressionDictionaryFactory, FileDictionaryFactory, HighFrequencyDictionaryFactory

      public abstract class DictionaryFactory
      extends Object

  Encapsulates shared fields for all types of dictionaryFactory classes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FILE_BASED_DICT` Default dictionary implementation to use for FileBasedDictionaries
    `static String` | `DEFAULT_INDEX_BASED_DICT` Default dictionary implementation to use for IndexBasedDictionaries
    `protected NamedList` | `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DictionaryFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Dictionary` | `create(SolrCore core, SolrIndexSearcher searcher)` Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries
    `void` | `setParams(NamedList params)` Sets the parameters available to SolrSuggester for use in Dictionary creation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FILE_BASED_DICT

          public static String DEFAULT_FILE_BASED_DICT

      Default dictionary implementation to use for FileBasedDictionaries

    - #### DEFAULT_INDEX_BASED_DICT

          public static String DEFAULT_INDEX_BASED_DICT

      Default dictionary implementation to use for IndexBasedDictionaries

    - #### params

          protected NamedList params

  - ### Constructor Detail

    - #### DictionaryFactory

          public DictionaryFactory()

  - ### Method Detail

    - #### setParams

          public void setParams(NamedList params)

      Sets the parameters available to SolrSuggester for use in Dictionary creation

    - #### create

          public abstract Dictionary create(SolrCore core,
                                            SolrIndexSearcher searcher)

      Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.